package moe.odango.index.entity

import io.requery.Entity
import io.requery.Key
import io.requery.Persistable
import moe.odango.index.utils.EntityHelper
import moe.odango.index.utils.helper
import java.util.*

@Entity
interface AnimeSeries : Persistable {
    @get:Key
    val id: UUID
    val name: String?
    var replacedWith: UUID?

    companion object : EntityHelper<AnimeSeriesEntity> by helper(::AnimeSeriesEntity, {
        setId(UUID.randomUUID())
    })
}
