package moe.odango.index.entity

import io.requery.Entity
import io.requery.Key
import io.requery.Persistable
import moe.odango.index.utils.EntityHelper
import moe.odango.index.utils.InfoSource
import moe.odango.index.utils.helper
import java.util.*

@Entity
interface Genre : Persistable {
    @get:Key
    val id: UUID
    val myAnimeListId: Int
    val name: String

    companion object : EntityHelper<GenreEntity> by helper(::GenreEntity, {
        setId(UUID.randomUUID())
    })
}
