package moe.odango.index.entity

import io.requery.Entity
import io.requery.Key
import io.requery.Persistable
import moe.odango.index.utils.EntityHelper
import moe.odango.index.utils.helper
import java.util.*

@Entity
interface Tag : Persistable {
    @get:Key
    val id: UUID

    val aniDbId: Long?

    val parentId: UUID
    val name: String
    val description: String
    val spoiler: Boolean

    companion object : EntityHelper<TagEntity> by helper(::TagEntity, {
        setId(UUID.randomUUID())
    })
}
