package moe.odango.index.entity

import io.requery.*
import moe.odango.index.utils.EntityHelper
import moe.odango.index.utils.helper
import java.util.*

@Entity
interface Producer : Persistable {
    @get:Key
    val id: UUID

    val myAnimeListId: Int?
    val name: String

    @get:ManyToMany
    val animes: List<Anime>

    companion object : EntityHelper<ProducerEntity> by helper(::ProducerEntity, {
        setId(UUID.randomUUID())
    })
}
