package moe.odango.index.utils

inline fun<reified T> helper(crossinline constructor: () -> T, crossinline init: T.() -> Unit = {}): EntityHelper<T> {
    return object : EntityHelper<T> {
        override fun invoke(block: T.() -> Unit): T {
            val entity = constructor()
            init(entity)
            block(entity)
            return entity
        }

    }
}
